#############################################################################
# Makefile for building: libqmng.so
# Generated by qmake (1.06c) (Qt 3.2.1) on: Mon Aug 23 13:04:56 2004
# Project:  mng.pro
# Template: lib
# Command: $(QMAKE) -spec /usr/lib/qt/mkspecs/linux-g++ -o Makefile mng.pro
#############################################################################

####### Compiler, tools and options

CC       = gcc
CXX      = g++
LEX      = flex
YACC     = yacc
CFLAGS   = -pipe -fno-exceptions -Wall -W -O2 -march=i486 -mcpu=i686 -D_REENTRANT -fPIC  -DQT_NO_DEBUG -DQT_THREAD_SUPPORT -DQT_PLUGIN -DQT_SHARED
CXXFLAGS = -pipe -fno-exceptions -Wall -W -O2 -march=i486 -mcpu=i686 -D_REENTRANT -fPIC  -DQT_NO_DEBUG -DQT_THREAD_SUPPORT -DQT_PLUGIN -DQT_SHARED
LEXFLAGS = 
YACCFLAGS= -d
INCPATH  = -I/usr/lib/qt/mkspecs/linux-g++ -I. -I/usr/include/freetype2 -I../../../../src/3rdparty/libmng -I../../../../include -I/usr/X11R6/include -I/usr/X11R6/include -I.moc/release-shared-mt/
LINK     = g++
LFLAGS   = -fno-exceptions  -Wl,-rpath,/usr/lib/qt/lib -shared -Wl,-rpath,/usr/lib/qt/plugins/imageformats
LIBS     = $(SUBLIBS) -L/usr/lib/qt/lib -L/usr/X11R6/lib -L/usr/X11R6/lib -ljpeg -lqt-mt -lpng -lz -lGLU -lGL -lXmu -lXrender -lXrandr -lXcursor -lXinerama -lXft -lfreetype -lfontconfig -lXext -lX11 -lm -lSM -lICE -ldl -lpthread
AR       = ar cqs
RANLIB   = 
MOC      = /usr/lib/qt/bin/moc
UIC      = /usr/lib/qt/bin/uic -L /usr/lib/qt/plugins
QMAKE    = /usr/lib/qt/bin/qmake
TAR      = tar -cf
GZIP     = gzip -9f
COPY     = cp -f
COPY_FILE= $(COPY)
COPY_DIR = $(COPY) -r
DEL_FILE = rm -f
SYMLINK  = ln -sf
DEL_DIR  = rmdir
MOVE     = mv -f
CHK_DIR_EXISTS= test -d
MKDIR    = mkdir -p

####### Output directory

OBJECTS_DIR = .obj/release-shared-mt/

####### Files

HEADERS = ../../../../src/3rdparty/libmng/libmng.h \
		../../../../src/3rdparty/libmng/libmng_chunks.h \
		../../../../src/3rdparty/libmng/libmng_chunk_io.h \
		../../../../src/3rdparty/libmng/libmng_chunk_prc.h \
		../../../../src/3rdparty/libmng/libmng_cms.h \
		../../../../src/3rdparty/libmng/libmng_conf.h \
		../../../../src/3rdparty/libmng/libmng_data.h \
		../../../../src/3rdparty/libmng/libmng_display.h \
		../../../../src/3rdparty/libmng/libmng_dither.h \
		../../../../src/3rdparty/libmng/libmng_error.h \
		../../../../src/3rdparty/libmng/libmng_filter.h \
		../../../../src/3rdparty/libmng/libmng_jpeg.h \
		../../../../src/3rdparty/libmng/libmng_memory.h \
		../../../../src/3rdparty/libmng/libmng_objects.h \
		../../../../src/3rdparty/libmng/libmng_object_prc.h \
		../../../../src/3rdparty/libmng/libmng_pixels.h \
		../../../../src/3rdparty/libmng/libmng_read.h \
		../../../../src/3rdparty/libmng/libmng_trace.h \
		../../../../src/3rdparty/libmng/libmng_types.h \
		../../../../src/3rdparty/libmng/libmng_write.h \
		../../../../src/3rdparty/libmng/libmng_zlib.h
SOURCES = main.cpp \
		../../../../src/3rdparty/libmng/libmng_callback_xs.c \
		../../../../src/3rdparty/libmng/libmng_chunk_io.c \
		../../../../src/3rdparty/libmng/libmng_chunk_prc.c \
		../../../../src/3rdparty/libmng/libmng_chunk_xs.c \
		../../../../src/3rdparty/libmng/libmng_cms.c \
		../../../../src/3rdparty/libmng/libmng_display.c \
		../../../../src/3rdparty/libmng/libmng_dither.c \
		../../../../src/3rdparty/libmng/libmng_error.c \
		../../../../src/3rdparty/libmng/libmng_filter.c \
		../../../../src/3rdparty/libmng/libmng_hlapi.c \
		../../../../src/3rdparty/libmng/libmng_jpeg.c \
		../../../../src/3rdparty/libmng/libmng_object_prc.c \
		../../../../src/3rdparty/libmng/libmng_pixels.c \
		../../../../src/3rdparty/libmng/libmng_prop_xs.c \
		../../../../src/3rdparty/libmng/libmng_read.c \
		../../../../src/3rdparty/libmng/libmng_trace.c \
		../../../../src/3rdparty/libmng/libmng_write.c \
		../../../../src/3rdparty/libmng/libmng_zlib.c
OBJECTS = .obj/release-shared-mt/main.o \
		.obj/release-shared-mt/libmng_callback_xs.o \
		.obj/release-shared-mt/libmng_chunk_io.o \
		.obj/release-shared-mt/libmng_chunk_prc.o \
		.obj/release-shared-mt/libmng_chunk_xs.o \
		.obj/release-shared-mt/libmng_cms.o \
		.obj/release-shared-mt/libmng_display.o \
		.obj/release-shared-mt/libmng_dither.o \
		.obj/release-shared-mt/libmng_error.o \
		.obj/release-shared-mt/libmng_filter.o \
		.obj/release-shared-mt/libmng_hlapi.o \
		.obj/release-shared-mt/libmng_jpeg.o \
		.obj/release-shared-mt/libmng_object_prc.o \
		.obj/release-shared-mt/libmng_pixels.o \
		.obj/release-shared-mt/libmng_prop_xs.o \
		.obj/release-shared-mt/libmng_read.o \
		.obj/release-shared-mt/libmng_trace.o \
		.obj/release-shared-mt/libmng_write.o \
		.obj/release-shared-mt/libmng_zlib.o
FORMS = 
UICDECLS = 
UICIMPLS = 
SRCMOC   = 
OBJMOC = 
DIST	   = mng.pro
QMAKE_TARGET = qmng
DESTDIR  = ../../../imageformats/
TARGET   = libqmng.so
TARGETD   = libqmng.so

first: all
####### Implicit rules

.SUFFIXES: .c .o .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

####### Build rules

all: Makefile  ../../../imageformats/$(TARGET)

../../../imageformats/$(TARGET):  $(UICDECLS) $(OBJECTS) $(OBJMOC) $(SUBLIBS) $(OBJCOMP)  
	test -d ../../../imageformats/ || mkdir -p ../../../imageformats/
	-$(DEL_FILE) $(TARGET)
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJMOC) $(LIBS) $(OBJCOMP)
	-$(MOVE) $(TARGET) ../../../imageformats/



mocables: $(SRCMOC)
uicables: $(UICDECLS) $(UICIMPLS)

$(MOC): 
	( cd /usr/lib/qt/src/moc ; $(MAKE) )

Makefile: mng.pro ../../../../.qmake.cache /usr/lib/qt/mkspecs/linux-g++/qmake.conf ../../../../lib/libqt-mt.prl
	$(QMAKE) -spec /usr/lib/qt/mkspecs/linux-g++ -o Makefile mng.pro
qmake: 
	@$(QMAKE) -spec /usr/lib/qt/mkspecs/linux-g++ -o Makefile mng.pro

dist: 
	@mkdir -p .obj/release-shared-mt/qmng && $(COPY_FILE) --parents $(SOURCES) $(HEADERS) $(FORMS) $(DIST) .obj/release-shared-mt/qmng/ && ( cd `dirname .obj/release-shared-mt/qmng` && $(TAR) qmng.tar qmng && $(GZIP) qmng.tar ) && $(MOVE) `dirname .obj/release-shared-mt/qmng`/qmng.tar.gz . && $(DEL_FILE) -r .obj/release-shared-mt/qmng

mocclean:

uiclean:

yaccclean:
lexclean:
clean:
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) ../../../imageformats/$(TARGET) $(TARGET)


FORCE:

####### Compile

.obj/release-shared-mt/main.o: main.cpp ../../../../src/kernel/qmngio.cpp \
		../../../../src/kernel/qimage.h \
		../../../../src/kernel/qasyncimageio.h \
		../../../../src/kernel/qmngio.h \
		../../../../src/kernel/qpixmap.h \
		../../../../src/kernel/qpaintdevice.h \
		../../../../src/kernel/qcolor.h \
		../../../../src/kernel/qnamespace.h \
		../../../../src/kernel/qwindowdefs.h \
		../../../../src/kernel/qrect.h \
		../../../../src/kernel/qobjectdefs.h \
		../../../../src/kernel/qsize.h \
		../../../../src/kernel/qpoint.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/release-shared-mt/main.o main.cpp

.obj/release-shared-mt/libmng_callback_xs.o: ../../../../src/3rdparty/libmng/libmng_callback_xs.c ../../../../src/3rdparty/libmng/libmng.h \
		../../../../src/3rdparty/libmng/libmng_data.h \
		../../../../src/3rdparty/libmng/libmng_error.h \
		../../../../src/3rdparty/libmng/libmng_trace.h \
		../../../../src/3rdparty/libmng/libmng_conf.h \
		../../../../src/3rdparty/libmng/libmng_types.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o .obj/release-shared-mt/libmng_callback_xs.o ../../../../src/3rdparty/libmng/libmng_callback_xs.c

.obj/release-shared-mt/libmng_chunk_io.o: ../../../../src/3rdparty/libmng/libmng_chunk_io.c ../../../../src/3rdparty/libmng/libmng.h \
		../../../../src/3rdparty/libmng/libmng_data.h \
		../../../../src/3rdparty/libmng/libmng_error.h \
		../../../../src/3rdparty/libmng/libmng_trace.h \
		../../../../src/3rdparty/libmng/libmng_objects.h \
		../../../../src/3rdparty/libmng/libmng_object_prc.h \
		../../../../src/3rdparty/libmng/libmng_chunks.h \
		../../../../src/3rdparty/libmng/libmng_chunk_prc.h \
		../../../../src/3rdparty/libmng/libmng_memory.h \
		../../../../src/3rdparty/libmng/libmng_display.h \
		../../../../src/3rdparty/libmng/libmng_zlib.h \
		../../../../src/3rdparty/libmng/libmng_pixels.h \
		../../../../src/3rdparty/libmng/libmng_chunk_io.h \
		../../../../src/3rdparty/libmng/libmng_conf.h \
		../../../../src/3rdparty/libmng/libmng_types.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o .obj/release-shared-mt/libmng_chunk_io.o ../../../../src/3rdparty/libmng/libmng_chunk_io.c

.obj/release-shared-mt/libmng_chunk_prc.o: ../../../../src/3rdparty/libmng/libmng_chunk_prc.c ../../../../src/3rdparty/libmng/libmng.h \
		../../../../src/3rdparty/libmng/libmng_data.h \
		../../../../src/3rdparty/libmng/libmng_error.h \
		../../../../src/3rdparty/libmng/libmng_trace.h \
		../../../../src/3rdparty/libmng/libmng_memory.h \
		../../../../src/3rdparty/libmng/libmng_chunks.h \
		../../../../src/3rdparty/libmng/libmng_chunk_prc.h \
		../../../../src/3rdparty/libmng/libmng_conf.h \
		../../../../src/3rdparty/libmng/libmng_types.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o .obj/release-shared-mt/libmng_chunk_prc.o ../../../../src/3rdparty/libmng/libmng_chunk_prc.c

.obj/release-shared-mt/libmng_chunk_xs.o: ../../../../src/3rdparty/libmng/libmng_chunk_xs.c ../../../../src/3rdparty/libmng/libmng.h \
		../../../../src/3rdparty/libmng/libmng_data.h \
		../../../../src/3rdparty/libmng/libmng_error.h \
		../../../../src/3rdparty/libmng/libmng_trace.h \
		../../../../src/3rdparty/libmng/libmng_memory.h \
		../../../../src/3rdparty/libmng/libmng_chunks.h \
		../../../../src/3rdparty/libmng/libmng_chunk_prc.h \
		../../../../src/3rdparty/libmng/libmng_chunk_io.h \
		../../../../src/3rdparty/libmng/libmng_conf.h \
		../../../../src/3rdparty/libmng/libmng_types.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o .obj/release-shared-mt/libmng_chunk_xs.o ../../../../src/3rdparty/libmng/libmng_chunk_xs.c

.obj/release-shared-mt/libmng_cms.o: ../../../../src/3rdparty/libmng/libmng_cms.c ../../../../src/3rdparty/libmng/libmng.h \
		../../../../src/3rdparty/libmng/libmng_data.h \
		../../../../src/3rdparty/libmng/libmng_error.h \
		../../../../src/3rdparty/libmng/libmng_trace.h \
		../../../../src/3rdparty/libmng/libmng_objects.h \
		../../../../src/3rdparty/libmng/libmng_cms.h \
		../../../../src/3rdparty/libmng/libmng_conf.h \
		../../../../src/3rdparty/libmng/libmng_types.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o .obj/release-shared-mt/libmng_cms.o ../../../../src/3rdparty/libmng/libmng_cms.c

.obj/release-shared-mt/libmng_display.o: ../../../../src/3rdparty/libmng/libmng_display.c ../../../../src/3rdparty/libmng/libmng.h \
		../../../../src/3rdparty/libmng/libmng_data.h \
		../../../../src/3rdparty/libmng/libmng_error.h \
		../../../../src/3rdparty/libmng/libmng_trace.h \
		../../../../src/3rdparty/libmng/libmng_objects.h \
		../../../../src/3rdparty/libmng/libmng_object_prc.h \
		../../../../src/3rdparty/libmng/libmng_memory.h \
		../../../../src/3rdparty/libmng/libmng_zlib.h \
		../../../../src/3rdparty/libmng/libmng_jpeg.h \
		../../../../src/3rdparty/libmng/libmng_cms.h \
		../../../../src/3rdparty/libmng/libmng_pixels.h \
		../../../../src/3rdparty/libmng/libmng_display.h \
		../../../../src/3rdparty/libmng/libmng_conf.h \
		../../../../src/3rdparty/libmng/libmng_types.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o .obj/release-shared-mt/libmng_display.o ../../../../src/3rdparty/libmng/libmng_display.c

.obj/release-shared-mt/libmng_dither.o: ../../../../src/3rdparty/libmng/libmng_dither.c ../../../../src/3rdparty/libmng/libmng.h \
		../../../../src/3rdparty/libmng/libmng_data.h \
		../../../../src/3rdparty/libmng/libmng_error.h \
		../../../../src/3rdparty/libmng/libmng_trace.h \
		../../../../src/3rdparty/libmng/libmng_dither.h \
		../../../../src/3rdparty/libmng/libmng_conf.h \
		../../../../src/3rdparty/libmng/libmng_types.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o .obj/release-shared-mt/libmng_dither.o ../../../../src/3rdparty/libmng/libmng_dither.c

.obj/release-shared-mt/libmng_error.o: ../../../../src/3rdparty/libmng/libmng_error.c ../../../../src/3rdparty/libmng/libmng.h \
		../../../../src/3rdparty/libmng/libmng_data.h \
		../../../../src/3rdparty/libmng/libmng_error.h \
		../../../../src/3rdparty/libmng/libmng_trace.h \
		../../../../src/3rdparty/libmng/libmng_conf.h \
		../../../../src/3rdparty/libmng/libmng_types.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o .obj/release-shared-mt/libmng_error.o ../../../../src/3rdparty/libmng/libmng_error.c

.obj/release-shared-mt/libmng_filter.o: ../../../../src/3rdparty/libmng/libmng_filter.c ../../../../src/3rdparty/libmng/libmng.h \
		../../../../src/3rdparty/libmng/libmng_data.h \
		../../../../src/3rdparty/libmng/libmng_error.h \
		../../../../src/3rdparty/libmng/libmng_trace.h \
		../../../../src/3rdparty/libmng/libmng_filter.h \
		../../../../src/3rdparty/libmng/libmng_conf.h \
		../../../../src/3rdparty/libmng/libmng_types.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o .obj/release-shared-mt/libmng_filter.o ../../../../src/3rdparty/libmng/libmng_filter.c

.obj/release-shared-mt/libmng_hlapi.o: ../../../../src/3rdparty/libmng/libmng_hlapi.c ../../../../src/3rdparty/libmng/libmng.h \
		../../../../src/3rdparty/libmng/libmng_data.h \
		../../../../src/3rdparty/libmng/libmng_error.h \
		../../../../src/3rdparty/libmng/libmng_trace.h \
		../../../../src/3rdparty/libmng/libmng_objects.h \
		../../../../src/3rdparty/libmng/libmng_object_prc.h \
		../../../../src/3rdparty/libmng/libmng_chunks.h \
		../../../../src/3rdparty/libmng/libmng_memory.h \
		../../../../src/3rdparty/libmng/libmng_read.h \
		../../../../src/3rdparty/libmng/libmng_write.h \
		../../../../src/3rdparty/libmng/libmng_display.h \
		../../../../src/3rdparty/libmng/libmng_zlib.h \
		../../../../src/3rdparty/libmng/libmng_jpeg.h \
		../../../../src/3rdparty/libmng/libmng_cms.h \
		../../../../src/3rdparty/libmng/libmng_pixels.h \
		../../../../src/3rdparty/libmng/libmng_conf.h \
		../../../../src/3rdparty/libmng/libmng_types.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o .obj/release-shared-mt/libmng_hlapi.o ../../../../src/3rdparty/libmng/libmng_hlapi.c

.obj/release-shared-mt/libmng_jpeg.o: ../../../../src/3rdparty/libmng/libmng_jpeg.c ../../../../src/3rdparty/libmng/libmng.h \
		../../../../src/3rdparty/libmng/libmng_data.h \
		../../../../src/3rdparty/libmng/libmng_error.h \
		../../../../src/3rdparty/libmng/libmng_trace.h \
		../../../../src/3rdparty/libmng/libmng_memory.h \
		../../../../src/3rdparty/libmng/libmng_pixels.h \
		../../../../src/3rdparty/libmng/libmng_jpeg.h \
		../../../../src/3rdparty/libmng/libmng_conf.h \
		../../../../src/3rdparty/libmng/libmng_types.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o .obj/release-shared-mt/libmng_jpeg.o ../../../../src/3rdparty/libmng/libmng_jpeg.c

.obj/release-shared-mt/libmng_object_prc.o: ../../../../src/3rdparty/libmng/libmng_object_prc.c ../../../../src/3rdparty/libmng/libmng.h \
		../../../../src/3rdparty/libmng/libmng_data.h \
		../../../../src/3rdparty/libmng/libmng_error.h \
		../../../../src/3rdparty/libmng/libmng_trace.h \
		../../../../src/3rdparty/libmng/libmng_memory.h \
		../../../../src/3rdparty/libmng/libmng_objects.h \
		../../../../src/3rdparty/libmng/libmng_display.h \
		../../../../src/3rdparty/libmng/libmng_pixels.h \
		../../../../src/3rdparty/libmng/libmng_object_prc.h \
		../../../../src/3rdparty/libmng/libmng_conf.h \
		../../../../src/3rdparty/libmng/libmng_types.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o .obj/release-shared-mt/libmng_object_prc.o ../../../../src/3rdparty/libmng/libmng_object_prc.c

.obj/release-shared-mt/libmng_pixels.o: ../../../../src/3rdparty/libmng/libmng_pixels.c ../../../../src/3rdparty/libmng/libmng.h \
		../../../../src/3rdparty/libmng/libmng_data.h \
		../../../../src/3rdparty/libmng/libmng_error.h \
		../../../../src/3rdparty/libmng/libmng_trace.h \
		../../../../src/3rdparty/libmng/libmng_objects.h \
		../../../../src/3rdparty/libmng/libmng_memory.h \
		../../../../src/3rdparty/libmng/libmng_cms.h \
		../../../../src/3rdparty/libmng/libmng_filter.h \
		../../../../src/3rdparty/libmng/libmng_pixels.h \
		../../../../src/3rdparty/libmng/libmng_conf.h \
		../../../../src/3rdparty/libmng/libmng_types.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o .obj/release-shared-mt/libmng_pixels.o ../../../../src/3rdparty/libmng/libmng_pixels.c

.obj/release-shared-mt/libmng_prop_xs.o: ../../../../src/3rdparty/libmng/libmng_prop_xs.c ../../../../src/3rdparty/libmng/libmng.h \
		../../../../src/3rdparty/libmng/libmng_data.h \
		../../../../src/3rdparty/libmng/libmng_error.h \
		../../../../src/3rdparty/libmng/libmng_trace.h \
		../../../../src/3rdparty/libmng/libmng_cms.h \
		../../../../src/3rdparty/libmng/libmng_conf.h \
		../../../../src/3rdparty/libmng/libmng_types.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o .obj/release-shared-mt/libmng_prop_xs.o ../../../../src/3rdparty/libmng/libmng_prop_xs.c

.obj/release-shared-mt/libmng_read.o: ../../../../src/3rdparty/libmng/libmng_read.c ../../../../src/3rdparty/libmng/libmng.h \
		../../../../src/3rdparty/libmng/libmng_data.h \
		../../../../src/3rdparty/libmng/libmng_error.h \
		../../../../src/3rdparty/libmng/libmng_trace.h \
		../../../../src/3rdparty/libmng/libmng_memory.h \
		../../../../src/3rdparty/libmng/libmng_objects.h \
		../../../../src/3rdparty/libmng/libmng_object_prc.h \
		../../../../src/3rdparty/libmng/libmng_chunks.h \
		../../../../src/3rdparty/libmng/libmng_chunk_prc.h \
		../../../../src/3rdparty/libmng/libmng_chunk_io.h \
		../../../../src/3rdparty/libmng/libmng_display.h \
		../../../../src/3rdparty/libmng/libmng_read.h \
		../../../../src/3rdparty/libmng/libmng_conf.h \
		../../../../src/3rdparty/libmng/libmng_types.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o .obj/release-shared-mt/libmng_read.o ../../../../src/3rdparty/libmng/libmng_read.c

.obj/release-shared-mt/libmng_trace.o: ../../../../src/3rdparty/libmng/libmng_trace.c ../../../../src/3rdparty/libmng/libmng.h \
		../../../../src/3rdparty/libmng/libmng_data.h \
		../../../../src/3rdparty/libmng/libmng_error.h \
		../../../../src/3rdparty/libmng/libmng_trace.h \
		../../../../src/3rdparty/libmng/libmng_conf.h \
		../../../../src/3rdparty/libmng/libmng_types.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o .obj/release-shared-mt/libmng_trace.o ../../../../src/3rdparty/libmng/libmng_trace.c

.obj/release-shared-mt/libmng_write.o: ../../../../src/3rdparty/libmng/libmng_write.c ../../../../src/3rdparty/libmng/libmng.h \
		../../../../src/3rdparty/libmng/libmng_data.h \
		../../../../src/3rdparty/libmng/libmng_error.h \
		../../../../src/3rdparty/libmng/libmng_trace.h \
		../../../../src/3rdparty/libmng/libmng_memory.h \
		../../../../src/3rdparty/libmng/libmng_chunks.h \
		../../../../src/3rdparty/libmng/libmng_chunk_io.h \
		../../../../src/3rdparty/libmng/libmng_write.h \
		../../../../src/3rdparty/libmng/libmng_conf.h \
		../../../../src/3rdparty/libmng/libmng_types.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o .obj/release-shared-mt/libmng_write.o ../../../../src/3rdparty/libmng/libmng_write.c

.obj/release-shared-mt/libmng_zlib.o: ../../../../src/3rdparty/libmng/libmng_zlib.c ../../../../src/3rdparty/libmng/libmng.h \
		../../../../src/3rdparty/libmng/libmng_data.h \
		../../../../src/3rdparty/libmng/libmng_error.h \
		../../../../src/3rdparty/libmng/libmng_trace.h \
		../../../../src/3rdparty/libmng/libmng_memory.h \
		../../../../src/3rdparty/libmng/libmng_pixels.h \
		../../../../src/3rdparty/libmng/libmng_filter.h \
		../../../../src/3rdparty/libmng/libmng_zlib.h \
		../../../../src/3rdparty/libmng/libmng_conf.h \
		../../../../src/3rdparty/libmng/libmng_types.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o .obj/release-shared-mt/libmng_zlib.o ../../../../src/3rdparty/libmng/libmng_zlib.c

####### Install

install_target: 
	@$(CHK_DIR_EXISTS) "$(INSTALL_ROOT)../../../imageformats/" || $(MKDIR) "$(INSTALL_ROOT)../../../imageformats/"
	-$(COPY) "../../../imageformats/$(TARGET)" "$(INSTALL_ROOT)../../../imageformats/$(TARGET)"
	-strip --strip-unneeded "$(INSTALL_ROOT)../../../imageformats/$(TARGET)"

uninstall_target: 
	-$(DEL_FILE) "$(INSTALL_ROOT)../../../imageformats/$(TARGET)"
	-$(DEL_DIR) "$(INSTALL_ROOT)../../../imageformats/"


install: all install_target 

uninstall: uninstall_target 

